Exif parsing library written in pure Rust
-----------------------------------------

   This is a pure-Rust library to parse Exif data.
   This library can parse TIFF and JPEG images and extract Exif
   attributes.

Usage
-----

   Add a dependency entry to your Cargo.toml.  Specify "kamadak-exif"
   if you use crates.io.  The canonical name of this crate is "exif",
   but it is renamed on crates.io to avoid a naming conflict.

      [dependencies]
      kamadak-exif = "0.3"

   Add the following to your crate root.

      extern crate exif;

   Run "cargo doc" in the source directory to generate the API reference.
   It is also available online at <https://docs.rs/kamadak-exif>.

   See examples directory for sample codes.

Dependencies
------------

   Rust 1.20 or later is required to build.

Specifications
--------------

   -  Exif Version 2.31
   -  TIFF Revision 6.0
